Subject: Re: linux-next: manual merge of the userns tree with the vfs tree

From: [email-masked] (Eric W. Biederman)
Date: Tue, 19 Jun 2018 05:11:45 -0500

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> Today's linux-next merge of the userns tree got conflicts in:
>
>   fs/proc/inode.c
>   fs/proc/root.c
>
> between commits:
>
>   0223e0999be2 ("procfs: Move proc_fill_super() to fs/proc/root.c")
>   83cd45075c36 ("proc: Add fs_context support to procfs")
>
> from the vfs tree and commit:
>
>   cc8cda3af2ba ("proc: Simplify and fix proc by removing the kernel mount")
>
> from the userns tree.
>
> I don't know how to fix this up, so I just dropped the userns tree for
> today (since it only contained that one commit).

The userns tree is a fix for a regression that I am sending to Linus
ASAP.  I don't remember any fundamental conflicts.  After we get 4.17
sorted out I will worry about this.

Eric